$TITLE MILP
$OFFSYMXREF
$OFFSYMLIST

VARIABLES Z, u3, u4;
INTEGER VARIABLES A1, A2;
EQUATIONS CON1,CON2,OBJ;

CON1..     0.7424*(A1+A2)*u3+0.7424*(A1-A2)*u4=E=1;
CON2..     0.7424*(A1-A2)*u3+0.7424*(A1+A2)*u4=E=0;
OBJ..      Z=E=1.41*(A1+A2);

* Limite Superior
u3.UP=1;

* Limite Inferior
A1.LO=3;
A2.LO=2;

* Valor Inicial
u3.L=1;
u4.L=-1;
A1.L=4;
A2.L=3;

MODEL ESTR / ALL / ;

*OPTION mip = cplex;
OPTION minlp = sbb;
*OPTION sysout = on;

SOLVE ESTR USING MINLP MINIMIZING Z;
