$TITLE MINLP 2
* Algoritmo de Aproximacao Externa - Solucao do DIPCOPT++
* Floudas, 1995
$OFFSYMXREF
$OFFSYMLIST

VARIABLES Z;
POSITIVE VARIABLES X;
BINARY VARIABLES Y1, Y2, Y3;
EQUATIONS CON1,CON2,CON3,CON4,OBJ;

CON1..     3*X-Y1-Y2=L=0;
CON2..     -X+0.1*Y2+0.25*Y3=L=0;
CON3..     Y1+Y2+Y3-2=G=0;
CON4..     Y1+Y2+2*(Y3-1)=G=0;
OBJ..      Z=E=Y1+Y2+Y3+5*X**2;

* Limite Superior
X.UP=1;

* Limite Inferior
X.LO=0.2;

* Valor Inicial
X.L=0.2;
Y1.L=1;
Y2.L=1;
Y3.L=1;

MODEL MINLP2 / ALL / ;

OPTION lp = osl;
*OPTION lp = cplex;
OPTION nlp = conopt;
*OPTION nlp = minos5;
OPTION minlp = DICOPT;
OPTION sysout = on;

MINLP2.optfile = 1;

SOLVE MINLP2 USING MINLP MINIMIZING Z;
