% Estimacao de parametros nao-lineares

dados =[...
0  0
1  0.058
2  0.217
3  0.36
4  0.488
5  0.6
6  0.692
7  0.772
8  0.833
9  0.888
10 0.925];

global dados

t = dados(:,1);
y_k = dados(:,2);

clf
plot(t,y_k,'o'), title('dados experimentais'), figure(gcf), pause

%
% modelo: f(t)_k = 1 - (a1 * exp(-t/a1) - a2 * exp (-t/a2))/(a1-a2)
%

a = [1 0.5]';

[a,res,nS]=powell('modelo2',a,0,0);

disp('parametros do modelo:'); a
e=modelo(a,dados);

plot(t,y_k-e,t,y_k,'o'), title('modelo x dados'), figure(gcf);
